Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code

Unified Diff: .travis/prepare-prebuilt-v8.sh

Issue 29498563: Issue 5133 - add CI for libadblockplus (Closed) Base URL: https://github.com/adblockplus/libadblockplus.git
Patch Set: use real URLs Created Sept. 26, 2017, 3:08 p.m.
Use n/p to move between diff chunks; N/P to move between comments.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « .travis.yml ('k') | appveyor.yml » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: .travis/prepare-prebuilt-v8.sh
diff --git a/.travis/prepare-prebuilt-v8.sh b/.travis/prepare-prebuilt-v8.sh
new file mode 100644
index 0000000000000000000000000000000000000000..c07852fa47e76ddadd7914daa56f52ed1071ef24
--- /dev/null
+++ b/.travis/prepare-prebuilt-v8.sh
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+
+set -x
+set -e
+
+wget ${URL_PREFIX}include.7z -O third_party/v8-include.7z
+7z x third_party/v8-include.7z -othird_party/prebuilt-v8
+
+if [[ "${BUILD_ACTION}" = "android_arm" ]]; then
+PREBUILT_V8_ARCHIVE=android-arm-release.tar.xz
+elif [[ "${BUILD_ACTION}" = "android_arm64" ]]; then
+PREBUILT_V8_ARCHIVE=android-arm64-release.tar.xz
+elif [[ "${BUILD_ACTION}" = "android_x86" ]]; then
+PREBUILT_V8_ARCHIVE=android-x86-release.tar.xz
+else
+if [[ "$TRAVIS_OS_NAME" == "osx" ]]; then
+PREBUILT_V8_ARCHIVE=osx-x64-debug.tar.xz
+else
+PREBUILT_V8_ARCHIVE=u14.04-x64-debug.tar.xz
+fi
+fi
+
+wget ${URL_PREFIX}/${PREBUILT_V8_ARCHIVE} -O third_party/v8-prebuilt.tar.xz
+tar -xJf third_party/v8-prebuilt.tar.xz -C third_party/prebuilt-v8
« no previous file with comments | « .travis.yml ('k') | appveyor.yml » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld